Commit d9afced4 authored by Luca Giambonini's avatar Luca Giambonini

fix extra-cmake-modules makedepends line

parent ae0046ec
Pipeline #543 canceled with stages
in 7 minutes and 41 seconds
......@@ -9,7 +9,7 @@ url='https://projects.kde.org/projects/kdesupport/${_pkgname}'
pkgdesc='A Qt5 library that implements the Open Collaboration Services API'
license=('LGPL')
depends=("qt5-base")
makedepends=("extra-cmake-modules>=${pkgver}")
makedepends=("extra-cmake-modules>=5.47.0")
checkdepends=("cmake")
options=("debug")
source=("https://download.kde.org/stable/frameworks/${pkgver%.*}/${pkgname}-${pkgver}.tar.xz"{,.sig})
......
......@@ -9,7 +9,7 @@ arch=('x86_64')
url='https://projects.kde.org/projects/frameworks/frameworkintegration'
license=('LGPL')
depends=('kio' 'ttf-noto' 'kpackage' 'knewstuff')
makedepends=("extra-cmake-modules>=${KFECMVersion}")
makedepends=("extra-cmake-modules>=5.47.0")
options=("debug")
groups=('kf5')
source=("https://download.kde.org/stable/frameworks/${pkgver%.*}/${pkgname}-${pkgver}.tar.xz"{,.sig})
......
......@@ -7,7 +7,7 @@ pkgdesc="A library for accessing the usage data collected by the activities syst
url='https://projects.kde.org/projects/frameworks/kactivities-stats'
license=('LGPL')
depends=('kactivities')
makedepends=("extra-cmake-modules>=${KFECMVersion}" 'boost' 'python3')
makedepends=("extra-cmake-modules>=5.47.0" 'boost' 'python3')
options=("debug")
groups=('kf5')
source=("https://download.kde.org/stable/frameworks/${pkgver%.*}/${pkgname}-${pkgver}.tar.xz"{,.sig})
......
......@@ -7,7 +7,7 @@ pkgdesc="Core components for the KDE's Activities"
url='https://projects.kde.org/projects/frameworks/kactivities'
license=('LGPL')
depends=('kcmutils' 'kdeclarative' 'kactivitymanagerd>=5.5.95')
makedepends=("extra-cmake-modules>=${KFECMVersion}" 'boost' 'python3')
makedepends=("extra-cmake-modules>=5.47.0" 'boost' 'python3')
provides=("kactivities-frameworks=${pkgver}" 'libkactivities4')
replaces=("kactivities-frameworks" 'kactivities4' 'libkactivities4')
conflicts=('kactivities4' 'kactivities-frameworks' 'libkactivities4')
......
......@@ -8,7 +8,7 @@ arch=('any')
url='https://projects.kde.org/projects/frameworks/kapidox'
license=('LGPL')
depends=('python3-jinja' 'python3-yaml')
makedepends=("extra-cmake-modules>=$KFECMVersion" 'qt5-base')
makedepends=("extra-cmake-modules>=5.47.0" 'qt5-base')
groups=('kf5')
options=("debug")
source=("https://download.kde.org/stable/frameworks/${pkgver%.*}/${pkgname}-${pkgver}.tar.xz"{,.sig})
......
......@@ -9,7 +9,7 @@ arch=('x86_64')
url='https://projects.kde.org/projects/frameworks/karchive'
license=('LGPL')
depends=("qt5-base")
makedepends=("extra-cmake-modules>=${KFECMVersion}")
makedepends=("extra-cmake-modules>=5.47.0")
groups=('kf5')
options=("debug")
source=("https://download.kde.org/stable/frameworks/${pkgver%.*}/${pkgname}-${pkgver}.tar.xz"{,.sig})
......
......@@ -7,7 +7,7 @@ arch=('x86_64')
url='https://projects.kde.org/projects/frameworks/kauth'
license=('LGPL')
depends=('kcoreaddons' 'polkit-qt5')
makedepends=("extra-cmake-modules>=${KFECMVersion}" 'qt5-tools')
makedepends=("extra-cmake-modules>=5.47.0" 'qt5-tools')
checkdepends=('cmake')
groups=('kf5')
options=("debug")
......
......@@ -9,7 +9,7 @@ arch=('x86_64')
url='https://projects.kde.org/projects/frameworks/kbookmarks'
license=('LGPL')
depends=('kxmlgui')
makedepends=("extra-cmake-modules>=${KFECMVersion}" 'qt5-tools' 'python3')
makedepends=("extra-cmake-modules>=5.47.0" 'qt5-tools' 'python3')
checkdepends=('cmake' 'xorg-server-xvfb')
groups=('kf5')
options=("debug")
......
......@@ -9,7 +9,7 @@ arch=('x86_64')
url='https://projects.kde.org/projects/frameworks/kcmutils'
license=('LGPL')
depends=('kxmlgui' 'kdeclarative')
makedepends=("extra-cmake-modules>=${KFECMVersion}" 'python3')
makedepends=("extra-cmake-modules>=5.47.0" 'python3')
checkdepends=("cmake" "xorg-server-xvfb")
groups=('kf5')
options=("debug")
......
......@@ -9,7 +9,7 @@ arch=('x86_64')
url='https://projects.kde.org/projects/frameworks/kcodecs'
license=('LGPL')
depends=('qt5-base' 'gperf')
makedepends=("extra-cmake-modules>=${KFECMVersion}" 'qt5-tools')
makedepends=("extra-cmake-modules>=5.47.0" 'qt5-tools')
checkdepends=('cmake')
options=("debug")
groups=('kf5')
......
......@@ -9,7 +9,7 @@ arch=('x86_64')
url='https://projects.kde.org/projects/frameworks/kcompletion'
license=('LGPL')
depends=('kwidgetsaddons' 'kconfig')
makedepends=("extra-cmake-modules>=${KFECMVersion}" 'qt5-tools')
makedepends=("extra-cmake-modules>=5.47.0" 'qt5-tools')
checkdepends=('xorg-server-xvfb')
groups=('kf5')
options=("debug")
......
......@@ -9,7 +9,7 @@ arch=('x86_64')
url='https://projects.kde.org/projects/frameworks/kconfig'
license=('LGPL')
depends=("qt5-base")
makedepends=("extra-cmake-modules>=${KFECMVersion}" "qt5-tools")
makedepends=("extra-cmake-modules>=5.47.0" "qt5-tools")
checkdepends=("xorg-server-xvfb")
groups=('kf5')
options=("debug")
......
......@@ -8,7 +8,7 @@ arch=('x86_64')
url='https://projects.kde.org/projects/frameworks/kconfigwidgets'
license=('LGPL')
depends=('kauth' 'kcodecs' 'kconfig' 'kguiaddons' 'ki18n' 'kwidgetsaddons')
makedepends=("extra-cmake-modules>=${KFECMVersion}" "kdoctools" "python3")
makedepends=("extra-cmake-modules>=5.47.0" "kdoctools" "python3")
groups=('kf5')
options=("debug")
source=("https://download.kde.org/stable/frameworks/${pkgver%.*}/${pkgname}-${pkgver}.tar.xz"{,.sig})
......
......@@ -9,7 +9,7 @@ arch=('x86_64')
url='https://projects.kde.org/projects/frameworks/kcoreaddons'
license=('LGPL')
depends=("qt5-base" 'shared-mime-info' 'gamin')
makedepends=("extra-cmake-modules>=${KFECMVersion}" 'qt5-tools')
makedepends=("extra-cmake-modules>=5.47.0" 'qt5-tools')
groups=('kf5')
install=${pkgname}.install
source=("https://download.kde.org/stable/frameworks/${pkgver%.*}/${pkgname}-${pkgver}.tar.xz"{,.sig})
......
......@@ -8,7 +8,7 @@ arch=('x86_64')
url='https://projects.kde.org/projects/frameworks/kcrash'
license=('LGPL')
depends=('kcoreaddons' 'kwindowsystem')
makedepends=("extra-cmake-modules>=${KFECMVersion}")
makedepends=("extra-cmake-modules>=5.47.0")
groups=('kf5')
options=("debug")
source=("https://download.kde.org/stable/frameworks/${pkgver%.*}/${pkgname}-${pkgver}.tar.xz"{,.sig})
......
......@@ -9,7 +9,7 @@ arch=('x86_64')
url='https://projects.kde.org/projects/frameworks/kdbusaddons'
license=('LGPL')
depends=("qt5-base" 'qt5-x11extras')
makedepends=("extra-cmake-modules>=${KFECMVersion}" 'qt5-tools')
makedepends=("extra-cmake-modules>=5.47.0" 'qt5-tools')
checkdepends=("dbus-core")
groups=('kf5')
options=("debug")
......
......@@ -8,7 +8,7 @@ arch=('x86_64')
url='https://projects.kde.org/projects/frameworks/kdeclarative'
license=('LGPL')
depends=('kio' 'libepoxy' 'kpackage')
makedepends=("extra-cmake-modules>=${KFECMVersion}")
makedepends=("extra-cmake-modules>=5.47.0")
groups=('kf5')
options=("debug")
source=("https://download.kde.org/stable/frameworks/${pkgver%.*}/${pkgname}-${pkgver}.tar.xz"{,.sig})
......
......@@ -9,7 +9,7 @@ arch=('x86_64')
url='https://projects.kde.org/projects/frameworks/kded'
license=('LGPL')
depends=('kservice' 'kinit')
makedepends=("extra-cmake-modules>=${KFECMVersion}" 'kdoctools' 'python3')
makedepends=("extra-cmake-modules>=5.47.0" 'kdoctools' 'python3')
checkdepends=("cmake")
groups=('kf5')
options=("debug")
......
......@@ -8,7 +8,7 @@ arch=('x86_64')
url='https://projects.kde.org/projects/frameworks/kdelibs4support'
license=('LGPL')
depends=('kunitconversion' 'kdesignerplugin' 'kinit' 'kitemmodels' 'kemoticons' 'kded')
makedepends=("extra-cmake-modules>=${KFECMVersion}" 'kdoctools' 'qt5-tools' 'networkmanager' 'perl-uri')
makedepends=("extra-cmake-modules>=5.47.0" 'kdoctools' 'qt5-tools' 'networkmanager' 'perl-uri')
groups=('kf5-aids')
options=("debug")
source=("https://download.kde.org/stable/frameworks/${pkgver%.*}/${pkgname}-${pkgver}.tar.xz"{,.sig})
......
......@@ -9,7 +9,7 @@ arch=('x86_64')
url='https://projects.kde.org/projects/frameworks/kdesignerplugin'
license=('LGPL')
depends=('kplotting' 'kdewebkit')
makedepends=("extra-cmake-modules>=${KFECMVersion}" 'qt5-tools' 'kdoctools')
makedepends=("extra-cmake-modules>=5.47.0" 'qt5-tools' 'kdoctools')
checkdepends=('cmake' "xorg-server-xvfb")
groups=('kf5')
source=("https://download.kde.org/stable/frameworks/${pkgver%.*}/${pkgname}-${pkgver}.tar.xz"{,.sig})
......
......@@ -9,7 +9,7 @@ arch=('x86_64')
url='https://projects.kde.org/projects/frameworks/kdesu'
license=('LGPL')
depends=('kservice' 'kpty')
makedepends=("extra-cmake-modules>=${KFECMVersion}" 'python3')
makedepends=("extra-cmake-modules>=5.47.0" 'python3')
checkdepends=('cmake')
groups=('kf5')
options=("debug")
......
......@@ -49,25 +49,29 @@ build()
msg "Processing: '$pkg'"
pushd "$pkg" &>/dev/null
# update pkgver
# update version
sed -r "s|pkgver=.*|pkgver=$Version|g" -i PKGBUILD
sed -r 's|"extra-cmake-modules>=[^"]*"|"extra-cmake-modules>='${Version}'"|g' -i PKGBUILD
# update source link
sed -r "s|https://download.kde.org/.*stable/|https://download.kde.org/${Branch}/|g" -i PKGBUILD
# update sha256 sums
local pkgver pkgname _pkgname
_package_info "$pkg" pkgver pkgname _pkgname
local pkgver pkgname source _pkgname _pkgbase
_package_info "$pkg" pkgver pkgname source _pkgname _pkgbase
if [ ! -z "$_pkgname" ]; then
pkgname=$_pkgname
fi
if [ ! -z "$_pkgbase" ]; then
pkgname=$_pkgbase
fi
_url="https://download.kde.org/stable/frameworks/${pkgver%.*}/${pkgname}-${pkgver}.tar.xz"
_url=$source
_sha256sum=$(curl "$_url.sha256" | cut -c-64)
sed -r "s|sha256sums=.*|sha256sums=('$_sha256sum'|g" -i PKGBUILD
echo $_sha256sum
unset pkgver pkgname _pkgname
unset pkgver pkgname source _pkgname _pkgbase
popd &>/dev/null
done < "$1"
......
......@@ -9,7 +9,7 @@ arch=('x86_64')
url='https://projects.kde.org/projects/frameworks/kdewebkit'
license=('LGPL')
depends=('qt5-webkit' 'kwallet' 'kparts')
makedepends=("extra-cmake-modules>=${KFECMVersion}")
makedepends=("extra-cmake-modules>=5.47.0")
options=("debug")
groups=('kf5')
source=("https://download.kde.org/stable/frameworks/${pkgver%.*}/${pkgname}-${pkgver}.tar.xz"{,.sig})
......
......@@ -9,7 +9,7 @@ arch=('x86_64')
url='https://projects.kde.org/projects/frameworks/kdnssd'
license=('LGPL')
depends=("qt5-base" 'avahi')
makedepends=("extra-cmake-modules>=${KFECMVersion}" 'qt5-tools')
makedepends=("extra-cmake-modules>=5.47.0" 'qt5-tools')
checkdepends=("cmake")
groups=('kf5')
options=("debug")
......
......@@ -10,7 +10,7 @@ arch=('x86_64')
url='https://projects.kde.org/projects/frameworks/kdoctools'
license=('LGPL')
depends=('karchive' 'docbook-xsl')
makedepends=("extra-cmake-modules>=${KFECMVersion}" "ki18n" "python3" "perl-uri")
makedepends=("extra-cmake-modules>=5.47.0" "ki18n" "python3" "perl-uri")
groups=('kf5')
options=('staticlibs' 'debug')
source=("https://download.kde.org/stable/frameworks/${pkgver%.*}/${pkgname}-${pkgver}.tar.xz"{,.sig})
......
......@@ -8,7 +8,7 @@ arch=('x86_64')
url='https://projects.kde.org/projects/frameworks/kemoticons'
license=('LGPL')
depends=('karchive' 'kservice')
makedepends=("extra-cmake-modules>=${KFECMVersion}" 'python3')
makedepends=("extra-cmake-modules>=5.47.0" 'python3')
groups=('kf5')
options=("debug")
source=("https://download.kde.org/stable/frameworks/${pkgver%.*}/${pkgname}-${pkgver}.tar.xz"{,.sig})
......
......@@ -9,7 +9,7 @@ arch=('x86_64')
url='https://projects.kde.org/projects/frameworks/kglobalaccel'
license=('LGPL')
depends=("qt5-base" "qt5-x11extras" 'kconfig' 'kcoreaddons' 'kcrash' 'kdbusaddons' 'ki18n' 'kwindowsystem' 'kservice')
makedepends=("extra-cmake-modules>=${KFECMVersion}" 'qt5-tools' 'python2')
makedepends=("extra-cmake-modules>=5.47.0" 'qt5-tools' 'python2')
checkdepends=('xorg-server-xvfb')
options=('debug')
groups=('kf5')
......
......@@ -9,7 +9,7 @@ arch=('x86_64')
url='https://projects.kde.org/projects/frameworks/kguiaddons'
license=('LGPL')
depends=("qt5-base" "qt5-x11extras")
makedepends=("extra-cmake-modules>=${KFECMVersion}")
makedepends=("extra-cmake-modules>=5.47.0")
checkdepends=('xorg-server-xvfb')
groups=('kf5')
options=('debug')
......
......@@ -8,7 +8,7 @@ arch=('x86_64')
url='https://projects.kde.org/projects/frameworks/khtml'
license=('LGPL')
depends=('giflib' 'kparts' 'kjs')
makedepends=("extra-cmake-modules>=${KFECMVersion}")
makedepends=("extra-cmake-modules>=5.47.0")
checkdepends=("xorg-server-xvfb")
groups=('kf5-aids')
options=("debug")
......
......@@ -9,7 +9,7 @@ arch=('x86_64')
url='https://projects.kde.org/projects/frameworks/ki18n'
license=('LGPL')
depends=('qt5-script' 'qt5-declarative')
makedepends=("extra-cmake-modules>=${KFECMVersion}" 'python3')
makedepends=("extra-cmake-modules>=5.47.0" 'python3')
groups=('kf5')
options=("debug")
source=("https://download.kde.org/stable/frameworks/${pkgver%.*}/${pkgname}-${pkgver}.tar.xz"{,.sig})
......
......@@ -9,7 +9,7 @@ arch=('x86_64')
url='https://projects.kde.org/projects/frameworks/kiconthemes'
license=('LGPL')
depends=('qt5-svg' 'kconfigwidgets' 'kitemviews' 'karchive')
makedepends=("extra-cmake-modules>=${KFECMVersion}" 'python3')
makedepends=("extra-cmake-modules>=5.47.0" 'python3')
checkdepends=('cmake' 'xorg-server-xvfb')
groups=('kf5')
options=('debug')
......
......@@ -9,7 +9,7 @@ arch=('x86_64')
url='https://projects.kde.org/projects/frameworks/kidletime'
license=('LGPL')
depends=('qt5-x11extras' 'libxss')
makedepends=("extra-cmake-modules>=${KFECMVersion}")
makedepends=("extra-cmake-modules>=5.47.0")
groups=('kf5')
options=("debug")
source=("https://download.kde.org/stable/frameworks/${pkgver%.*}/${pkgname}-${pkgver}.tar.xz"{,.sig})
......
......@@ -9,7 +9,7 @@ arch=('x86_64')
url='https://projects.kde.org/projects/frameworks/kimageformats'
license=('LGPL')
depends=("qt5-base" 'jasper' 'openexr' 'karchive')
makedepends=("extra-cmake-modules>=${KFECMVersion}")
makedepends=("extra-cmake-modules>=5.47.0")
checkdepends=("xorg-server-xvfb")
groups=('kf5')
options=("debug")
......
......@@ -9,7 +9,7 @@ arch=('x86_64')
url='https://projects.kde.org/projects/frameworks/kinit'
license=('LGPL')
depends=('kio')
makedepends=("extra-cmake-modules>=${KFECMVersion}" 'kdoctools' 'qt5-tools')
makedepends=("extra-cmake-modules>=5.47.0" 'kdoctools' 'qt5-tools')
checkdepends=('cmake')
groups=('kf5')
options=("debug")
......
......@@ -9,7 +9,7 @@ url='https://projects.kde.org/projects/frameworks/kio'
license=('LGPL')
depends=('solid' 'karchive' 'kjobwidgets' 'kbookmarks' 'libxslt' 'kwallet'
'desktop-file-utils' 'krb5' 'acl')
makedepends=("extra-cmake-modules>=${KFECMVersion}" 'kdoctools')
makedepends=("extra-cmake-modules>=5.47.0" 'kdoctools')
checkdepends=('xorg-server-xvfb' 'openbox')
groups=('kf5')
install=kio.install
......
......@@ -8,7 +8,7 @@ arch=(x86_64)
url='https://projects.kde.org/projects/frameworks/kirigami'
license=('LGPL')
depends=(qt5-quickcontrols2)
makedepends=("extra-cmake-modules>=${KFECMVersion}" qt5-tools plasma-framework)
makedepends=("extra-cmake-modules>=5.47.0" qt5-tools plasma-framework)
replaces=(kirigami2)
provides=(kirigami2)
conflicts=(kirigami2)
......
......@@ -9,7 +9,7 @@ arch=('x86_64')
url='https://projects.kde.org/projects/frameworks/kitemmodels'
license=('LGPL')
depends=("qt5-base")
makedepends=("extra-cmake-modules>=${KFECMVersion}")
makedepends=("extra-cmake-modules>=5.47.0")
checkdepends=("cmake" "xorg-server-xvfb")
groups=('kf5')
options=("debug")
......
......@@ -9,7 +9,7 @@ arch=('x86_64')
url='https://projects.kde.org/projects/frameworks/kitemviews'
license=('LGPL')
depends=("qt5-base")
makedepends=("extra-cmake-modules>=${KFECMVersion}" 'qt5-tools')
makedepends=("extra-cmake-modules>=5.47.0" 'qt5-tools')
checkdepends=('cmake' 'xorg-server-xvfb')
groups=('kf5')
options=("debug")
......
......@@ -9,7 +9,7 @@ arch=('x86_64')
url='https://projects.kde.org/projects/frameworks/kjobwidgets'
license=('LGPL')
depends=('kcoreaddons' 'kwidgetsaddons' 'qt5-x11extras')
makedepends=("extra-cmake-modules>=${KFECMVersion}" 'qt5-tools')
makedepends=("extra-cmake-modules>=5.47.0" 'qt5-tools')
checkdepends=('cmake')
groups=('kf5')
options=("debug")
......
......@@ -8,7 +8,7 @@ arch=('x86_64')
url='https://projects.kde.org/projects/frameworks/kjs'
license=('LGPL')
depends=("qt5-base")
makedepends=("extra-cmake-modules>=${KFECMVersion}" 'kdoctools')
makedepends=("extra-cmake-modules>=5.47.0" 'kdoctools')
checkdepends=('cmake')
groups=('kf5-aids')
options=('debug')
......
......@@ -9,7 +9,7 @@ arch=('x86_64')
url='https://projects.kde.org/projects/frameworks/kjsembed'
license=('LGPL')
depends=('qt5-svg' 'ki18n' 'kjs')
makedepends=("extra-cmake-modules>=${KFECMVersion}" 'qt5-tools' 'kdoctools' 'python3')
makedepends=("extra-cmake-modules>=5.47.0" 'qt5-tools' 'kdoctools' 'python3')
groups=('kf5-aids')
options=("debug")
source=("https://download.kde.org/stable/frameworks/${pkgver%.*}/${pkgname}-${pkgver}.tar.xz"{,.sig})
......
......@@ -9,7 +9,7 @@ arch=('x86_64')
url='https://projects.kde.org/projects/frameworks/kmediaplayer'
license=('LGPL')
depends=('kparts')
makedepends=("extra-cmake-modules>=${KFECMVersion}")
makedepends=("extra-cmake-modules>=5.47.0")
checkdepends=("cmake" "xorg-server-xvfb")
groups=('kf5-aids')
options=("debug")
......
......@@ -9,7 +9,7 @@ arch=('x86_64')
url='https://projects.kde.org/projects/frameworks/knewstuff'
license=('LGPL')
depends=('kio')
makedepends=("extra-cmake-modules>=${KFECMVersion}")
makedepends=("extra-cmake-modules>=5.47.0")
checkdepends=("cmake" "xorg-server-xvfb")
groups=('kf5')
options=("debug")
......
......@@ -9,7 +9,7 @@ arch=('x86_64')
url='https://projects.kde.org/projects/frameworks/knotifications'
license=('LGPL')
depends=('phonon-qt5' 'libdbusmenu-qt5' 'kwindowsystem' 'kconfig' 'kcodecs' 'kcoreaddons' 'qt5-speech')
makedepends=("extra-cmake-modules>=${KFECMVersion}" 'qt5-tools' 'python3')
makedepends=("extra-cmake-modules>=5.47.0" 'qt5-tools' 'python3')
checkdepends=('xorg-server-xvfb')
groups=('kf5')
options=('debug')
......
......@@ -7,7 +7,7 @@ arch=('x86_64')
url='https://projects.kde.org/projects/frameworks/knotifyconfig'
license=('LGPL')
depends=('kio' 'phonon-qt5')
makedepends=("extra-cmake-modules>=${KFECMVersion}")
makedepends=("extra-cmake-modules>=5.47.0")
checkdepends=('cmake')
groups=('kf5')
options=("debug")
......
......@@ -9,7 +9,7 @@ arch=('x86_64')
url='https://projects.kde.org/projects/frameworks/kpackage'
license=('LGPL')
depends=('karchive' 'ki18n' 'kcoreaddons' 'kconfig')
makedepends=("extra-cmake-modules>=${KFECMVersion}" 'qt5-tools' 'python3' 'kdoctools')
makedepends=("extra-cmake-modules>=5.47.0" 'qt5-tools' 'python3' 'kdoctools')
checkdepends=("cmake")
groups=('kf5')
options=("debug")
......
......@@ -9,7 +9,7 @@ arch=('x86_64')
url='https://projects.kde.org/projects/frameworks/kparts'
license=('LGPL')
depends=('kio')
makedepends=("extra-cmake-modules>=${KFECMVersion}" "python3")
makedepends=("extra-cmake-modules>=5.47.0" "python3")
checkdepends=("cmake" "xorg-server-xvfb")
groups=('kf5')
options=("debug")
......
......@@ -7,7 +7,7 @@ arch=('x86_64')
url='http://community.kde.org/KTp/libkpeople'
license=(LGPL)
depends=('kservice' 'kwidgetsaddons' 'kitemviews' "qt5-declarative")
makedepends=("extra-cmake-modules>=${KFECMVersion}" 'python3')
makedepends=("extra-cmake-modules>=5.47.0" 'python3')
conflicts=('libkpeople')
#replaces=('libkpeople') # enable only when we switch to P5
groups=('kf5')
......
......@@ -9,7 +9,7 @@ arch=('x86_64')
url='https://projects.kde.org/projects/frameworks/kplotting'
license=('LGPL')
depends=("qt5-base")
makedepends=("extra-cmake-modules>=${KFECMVersion}")
makedepends=("extra-cmake-modules>=5.47.0")
checkdepends=('xorg-server-xvfb')
groups=('kf5')
options=("debug")
......
......@@ -9,7 +9,7 @@ arch=('x86_64')
url='https://projects.kde.org/projects/frameworks/kpty'
license=('LGPL')
depends=('kcoreaddons' 'ki18n' 'libutempter')
makedepends=("extra-cmake-modules>=${KFECMVersion}" 'python3')
makedepends=("extra-cmake-modules>=5.47.0" 'python3')
checkdepends=("cmake" "xorg-server-xvfb")
groups=('kf5')
options=("debug")
......
......@@ -9,7 +9,7 @@ arch=('x86_64')
url='https://projects.kde.org/projects/frameworks/kross'
license=('LGPL')
depends=('kparts')
makedepends=("extra-cmake-modules>=${KFECMVersion}" 'kdoctools' 'qt5-tools')
makedepends=("extra-cmake-modules>=5.47.0" 'kdoctools' 'qt5-tools')
checkdepends=('xorg-server-xvfb')
groups=('kf5-aids')
options=("debug")
......
......@@ -7,7 +7,7 @@ arch=('x86_64')
url='https://projects.kde.org/projects/frameworks/krunner'
license=('LGPL')
depends=('plasma-framework' 'threadweaver')
makedepends=("extra-cmake-modules>=${KFECMVersion}" 'kdoctools')
makedepends=("extra-cmake-modules>=5.47.0" 'kdoctools')
checkdepends=('xorg-server-xvfb')
groups=('kf5-aids')
options=("debug")
......
......@@ -9,7 +9,7 @@ arch=('x86_64')
url='https://projects.kde.org/projects/frameworks/kservice'
license=('LGPL')
depends=('ki18n' 'kconfig' 'kcrash' 'kdbusaddons')
makedepends=("extra-cmake-modules>=${KFECMVersion}" 'kdoctools' 'python3')
makedepends=("extra-cmake-modules>=5.47.0" 'kdoctools' 'python3')
checkdepends=('xorg-server-xvfb' 'kded')
groups=('kf5')
options=("debug")
......
......@@ -8,7 +8,7 @@ arch=('x86_64')
url='https://projects.kde.org/projects/frameworks/ktexteditor'
license=('LGPL')
depends=('kparts' 'libgit2' 'syntax-highlighting')
makedepends=("extra-cmake-modules>=${KFECMVersion}")
makedepends=("extra-cmake-modules>=5.47.0")
groups=('kf5')
options=("debug")
source=("https://download.kde.org/stable/frameworks/${pkgver%.*}/${pkgname}-${pkgver}.tar.xz"{,.sig})
......
......@@ -9,7 +9,7 @@ arch=('x86_64')
url='https://projects.kde.org/projects/frameworks/ktextwidgets'
license=('LGPL')
depends=('kcompletion' 'kservice' 'kiconthemes' 'sonnet' 'qt5-speech')
makedepends=("extra-cmake-modules>=${KFECMVersion}" 'python3' 'doxygen' 'qt5-tools')
makedepends=("extra-cmake-modules>=5.47.0" 'python3' 'doxygen' 'qt5-tools')
checkdepends=('xorg-server-xvfb')
groups=('kf5')
options=("debug")
......
......@@ -9,7 +9,7 @@ arch=('x86_64')
url='https://projects.kde.org/projects/frameworks/kunitconversion'
license=('LGPL')
depends=('ki18n')
makedepends=("extra-cmake-modules>=${KFECMVersion}" 'python3')
makedepends=("extra-cmake-modules>=5.47.0" 'python3')
groups=('kf5')
options=("debug")
source=("https://download.kde.org/stable/frameworks/${pkgver%.*}/${pkgname}-${pkgver}.tar.xz"{,.sig})
......
......@@ -8,7 +8,7 @@ arch=('x86_64')
url='http://www.kde.org'
license=('LGPL')
depends=('qt5-base')
makedepends=("extra-cmake-modules>=${KFECMVersion}")
makedepends=("extra-cmake-modules>=5.47.0")
groups=('kf5')
options=("debug")
source=("https://download.kde.org/stable/frameworks/${pkgver%.*}/${pkgname}-${pkgver}.tar.xz"{,.sig})
......
......@@ -8,7 +8,7 @@ arch=('x86_64')
url='https://projects.kde.org/projects/frameworks/kwidgetsaddons'
license=('LGPL')
depends=("qt5-base")
makedepends=("extra-cmake-modules>=${KFECMVersion}" 'qt5-tools' 'clang' 'python2-pyqt5' 'python3-pyqt5' 'doxygen')
makedepends=("extra-cmake-modules>=5.47.0" 'qt5-tools' 'clang' 'python2-pyqt5' 'python3-pyqt5' 'doxygen')
groups=('kf5')
options=("debug")
source=("https://download.kde.org/stable/frameworks/${pkgver%.*}/${pkgname}-${pkgver}.tar.xz"{,.sig})
......
......@@ -8,7 +8,7 @@ arch=('x86_64')
url='https://projects.kde.org/projects/frameworks/kwindowsystem'
license=('LGPL')
depends=("qt5-x11extras" 'libxfixes')
makedepends=("extra-cmake-modules>=${KFECMVersion}" 'qt5-tools')
makedepends=("extra-cmake-modules>=5.47.0" 'qt5-tools')
checkdepends=('cmake' 'xorg-server-xvfb' 'openbox')
groups=('kf5')
options=('debug')
......
......@@ -8,7 +8,7 @@ arch=('x86_64')
url='https://projects.kde.org/projects/frameworks/kxmlgui'
license=('LGPL')
depends=('kglobalaccel' 'ktextwidgets' 'attica-qt5')
makedepends=("extra-cmake-modules>=${KFECMVersion}" 'python3')
makedepends=("extra-cmake-modules>=5.47.0" 'python3')
checkdepends=('xorg-server-xvfb')
groups=('kf5')
options=("debug")
......
......@@ -8,7 +8,7 @@ arch=('x86_64')
url='https://projects.kde.org/projects/kde/pim/kxmlrpcclient'
license=('LGPL')
depends=('kio')
makedepends=("extra-cmake-modules>=${KFECMVersion}")
makedepends=("extra-cmake-modules>=5.47.0")
groups=('kf5')
options=("debug")
source=("https://download.kde.org/stable/frameworks/${pkgver%.*}/${pkgname}-${pkgver}.tar.xz"{,.sig})
......
......@@ -8,7 +8,7 @@ arch=('x86_64')
url='http://projects.kde.org'
license=('LGPL')
depends=('qt5-base' 'networkmanager')
makedepends=("extra-cmake-modules>=${KFECMVersion}" 'kapidox')
makedepends=("extra-cmake-modules>=5.47.0" 'kapidox')
checkdepends=("cmake")
provides=("libmm-qt5=${pkgver}")
replaces=("libmm-qt5<=5.2.2")
......
......@@ -9,7 +9,7 @@ arch=('x86_64')
url='https://projects.kde.org/projects/frameworks/networkmanager-qt'
license=('LGPL')
depends=('networkmanager' 'qt5-base')
makedepends=("extra-cmake-modules>=${KFECMVersion}")
makedepends=("extra-cmake-modules>=5.47.0")
checkdepends=("cmake")
groups=('kf5')
replaces=('libnm-qt5')
......
......@@ -9,7 +9,7 @@ arch=('x86_64')
url='https://projects.kde.org/projects/frameworks/plasma-framework'
license=('LGPL')
depends=('qt5-quickcontrols' 'kactivities' 'kpackage' 'kwayland' 'kirigami')
makedepends=("extra-cmake-modules>=${KFECMVersion}" 'qt5-tools' 'kdoctools')
makedepends=("extra-cmake-modules>=5.47.0" 'qt5-tools' 'kdoctools')
options=("debug")
groups=('kf5')
source=("https://download.kde.org/stable/frameworks/${pkgver%.*}/${pkgname}-${pkgver}.tar.xz"{,.sig})
......
......@@ -9,7 +9,7 @@ arch=('x86_64')
url='https://projects.kde.org/projects/frameworks/solid'
license=('LGPL')
depends=('qt5-declarative' 'media-player-info' 'upower' 'udisks2')
makedepends=("extra-cmake-modules>=${KFECMVersion}" 'qt5-tools')
makedepends=("extra-cmake-modules>=5.47.0" 'qt5-tools')
groups=('kf5')
options=("debug")
source=("https://download.kde.org/stable/frameworks/${pkgver%.*}/${pkgname}-${pkgver}.tar.xz"{,.sig})
......
......@@ -9,7 +9,7 @@ arch=('x86_64')
url='https://projects.kde.org/projects/frameworks/sonnet'
license=('LGPL')
depends=("qt5-base" 'enchant')
makedepends=("extra-cmake-modules>=${KFECMVersion}" 'qt5-tools')
makedepends=("extra-cmake-modules>=5.47.0" 'qt5-tools')
groups=('kf5')
options=("debug")
source=("https://download.kde.org/stable/frameworks/${pkgver%.*}/${pkgname}-${pkgver}.tar.xz"{,.sig})
......
......@@ -7,7 +7,7 @@ arch=('x86_64')
url='https://projects.kde.org/projects/frameworks/syntax-highlighting'
license=('LGPL')
depends=('qt5-xmlpatterns' 'perl')
makedepends=("extra-cmake-modules>=${KFECMVersion}" 'python3' 'qt5-tools')
makedepends=("extra-cmake-modules>=5.47.0" 'python3' 'qt5-tools')
groups=('kf5')
options=("debug")
source=("https://download.kde.org/stable/frameworks/${pkgver%.*}/${pkgname}-${pkgver}.tar.xz"{,.sig})
......
......@@ -9,7 +9,7 @@ arch=('x86_64')
url='https://projects.kde.org/projects/frameworks/threadweaver'
license=('LGPL')
depends=("qt5-base")
makedepends=("extra-cmake-modules>=${KFECMVersion}")
makedepends=("extra-cmake-modules>=5.47.0")
checkdepends=("cmake")
groups=('kf5')
options=("debug")
......
Markdown is supported
0% or
You are about to add 0 people to the discussion. Proceed with caution.
Finish editing this message first!
Please register or to comment